Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class ContractProductRowsEvent
    Inherits BaseObject

    Private _ContractProductRowsIn As ContractProductRows
    Private _ContractProductRowsOut As ContractProductRows
    Private _DateExecution As Date
    Private _ObjectCreated As Date
    Private _UserCreated As User
    Private _QTT_Out As Double
    Private _QTT_In As Double

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
      
    End Sub
    Protected Overrides Sub OnSaving()
        MyBase.OnSaving()
        If Session.IsNewObject(Me) Then
            ObjectCreated = GetSQLTime(Session)
            UserCreated = Session.GetObjectByKey(Of User)(Session.GetKeyValue(SecuritySystem.CurrentUser))
        End If
    End Sub
    Property ContractProductRowsIn As ContractProductRows
        Get
            Return _ContractProductRowsIn
        End Get
        Set(value As ContractProductRows)
            SetPropertyValue("ContractProductRowsIn", _ContractProductRowsIn, value)
        End Set
    End Property
    Property ContractProductRowsOut As ContractProductRows
        Get
            Return _ContractProductRowsOut
        End Get
        Set(value As ContractProductRows)
            SetPropertyValue("ContractProductRowsOut", _ContractProductRowsOut, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    <NonCloneable> _
    Property ObjectCreated As Date
        Get
            Return _ObjectCreated
        End Get
        Set(value As Date)
            SetPropertyValue("ObjectCreated", _ObjectCreated, value)
        End Set
    End Property
    <NonCloneable> _
    Property UserCreated As User
        Get
            Return _UserCreated
        End Get
        Set(value As User)
            SetPropertyValue("UserCreated", _UserCreated, value)
        End Set
    End Property
    Property QTT_Out As Double
        Get
            Return _QTT_Out
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_Out", _QTT_Out, value)
        End Set
    End Property
    Property QTT_In As Double
        Get
            Return _QTT_In
        End Get
        Set(value As Double)
            SetPropertyValue("QTT_In", _QTT_In, value)
        End Set
    End Property
End Class
